Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.cxml.messaging
Class CXMLMessage

    java.lang.Object
      |
      +--com.bea.b2b.protocol.messaging.MessageBase
            |
            +--com.bea.b2b.protocol.cxml.messaging.CXMLMessage

public class CXMLMessage
extends MessageBase
implements Message

The CXMLMessage class represents a cXML message. It contains additional information that is associated with cXML processing.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`CXMLMessage()` Constructs a CXMLMessage

Method Summary
`CXMLDocument` | `getReplyDocument()` Gets the reply cXML document.
`CXMLDocument` | `getRequestDocument()` Gets the request cXML document.
`void` | `reply()` Reply to the request message.
`MessageToken` | `send()` Send a request message.
`void` | `setCollaborationAgreement(java.util.Properties properties)` Sets the CA id to which this message belongs.
`void` | `setReplyDocument(CXMLDocument doc)` Sets the reply cXML document.
`void` | `setRequestDocument(CXMLDocument doc)` Sets the request cXML document.

Methods inherited from class com.bea.b2b.protocol.messaging.MessageBase
`addPayloadPart, addPayloadParts, addRecipient, finalizeDeliveryStatus, getConversationId, getConversationType, getCreationTime, getMessageId, getPayloadParts, getRecipients, isBusinessMessage, logOrigin, logReceipt, removeAllPayloadParts, removeAllRecipients, removeRecipient, setRecipient, setToRole`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CXMLMessage

    public CXMLMessage()

  Constructs a CXMLMessage

Method Detail

### setRequestDocument

    public void setRequestDocument(CXMLDocument doc)

  Sets the request cXML document.

  Parameters:
    `doc` - Request CXMLDocument

### getRequestDocument

    public CXMLDocument getRequestDocument()

  Gets the request cXML document.

  Returns:
    Request CXMLDocument

### setReplyDocument

    public void setReplyDocument(CXMLDocument doc)

  Sets the reply cXML document.

  Parameters:
    `doc` - Reply CXMLDocument

### getReplyDocument

    public CXMLDocument getReplyDocument()

  Gets the reply cXML document.

  Returns:
    Reply CXMLDocument

### setCollaborationAgreement

    public void setCollaborationAgreement(java.util.Properties properties)
                                   throws ModificationException

  Sets the CA id to which this message belongs. Uses a set of properties to select the CA.

  Parameters:
    `properties` - Properties uniquely identifying the CA

### send

    public MessageToken send()
                      throws MessageDeliveryException

  Send a request message. This method blocks until a reply is received. The reply can be accessed via `getReplyDocument()`
  Specified by:
    send in interface Message

  Returns:
    MessageToken - Message token. This object may be used for detailed information about a failed send.
  Throws:
    MessageDeliveryException - If this method was called on the c-hub. or an exception occurs while sending the message, or the reply cannot be parsed.

### reply

    public void reply()
               throws MessageDeliveryException

  Reply to the request message. This method is only valid when this object is used as a parameter to `CXMLListener.onMessage()`. The reply may be actually happen asyncronously after the method has been called

  Throws:
    MessageDeliveryException - If this method was called on the c-hub.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)